module Win32.GDI.Font where

import Win32.GDI.Types

import Foreign.Storable
import System.IO.Unsafe

oEM_FIXED_FONT      = STOCK_FONT 10
aNSI_FIXED_FONT     = STOCK_FONT 11
aNSI_VAR_FONT       = STOCK_FONT 12
sYSTEM_FONT         = STOCK_FONT 13
dEVICE_DEFAULT_FONT = STOCK_FONT 14
sYSTEM_FIXED_FONT   = STOCK_FONT 16
dEFAULT_GUI_FONT    = STOCK_FONT 17

hFONT_OEM_FIXED      = getStockFont oEM_FIXED_FONT
hFONT_ANSI_FIXED     = getStockFont aNSI_FIXED_FONT
hFONT_ANSI_VAR       = getStockFont aNSI_VAR_FONT
hFONT_SYSTEM         = getStockFont sYSTEM_FONT
hFONT_DEVICE_DEFAULT = getStockFont dEVICE_DEFAULT_FONT
hFONT_SYSTEM_FIXED   = getStockFont sYSTEM_FIXED_FONT
hFONT_DEFAULT_GUI    = getStockFont dEFAULT_GUI_FONT
