module Win32.IO.API where

import Win32.IO.Types
import Win32.IO.Constants
import Win32.IO.Foreign

import Win32.System.Types

import Foreign.C.String

-- File management

createFile :: String -> FILEDESIREDACCESS -> FILESHAREMODE -> PVOID -> FILECREATIONDISPOSITION -> FILEFLAGSANDATTRIBUTES -> HFILE -> IO HFILE


createFile fname access share secAttr cDisp flagsAttr template =
    withCWString fname $ \c_fname -> c_CreateFile c_fname access share secAttr cDisp flagsAttr template
