module JCAB.Exception (
	handleDyn,
    throwDynIO
) where

import Control.Exception (Exception(DynException), throwIO, catchDyn)
import Data.Dynamic (toDyn)

handleDyn h io = catchDyn io h

throwDynIO exception = throwIO (DynException (toDyn exception))