module JCAB.URI (
	fnameFromURI,
    module Network.URI
) where

import Network.URI

uriCharFilter '/' = '\\'
uriCharFilter c = c

uriFnameFilter = map uriCharFilter

fnameFromURI uri =
    if uri == nullURI then
            ""
        else
            uriFnameFilter $ unEscapeString $ uriPath $ uri


